Page MenuHomePhabricator

VISA management
Closed, ResolvedPublic

Description

We are gonna check how we can "outsource" this because it can be a real pain.

Event Timeline

KRLS created this task.Aug 7 2017, 9:22 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 7 2017, 9:22 AM
Lluis_tgn claimed this task.Aug 7 2017, 5:44 PM
Lluis_tgn updated the task description. (Show Details)
Lluis_tgn added a subscriber: Lluis_tgn.
KRLS reassigned this task from Lluis_tgn to Barcelona.Feb 25 2018, 8:39 PM
KRLS added a subscriber: Barcelona.

Assistance has been outsourced to a specialized agency. The link between the agency and our organizing team is @Barcelona.

Rfarrand closed this task as Resolved.Jun 26 2018, 7:39 PM